<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Tarjeta bancaria</h3>
        <!--Calle numero colonia zip city edo. -->
        <div class="row">
            <div class="col-6 mx-auto my-3">
            </div>
        </div>

        <div class="row text-input">
            <div class="col-md-12 form-group">
                <label class="text-input">Número de tarjeta: </label>
                <input autocomplete="off" placeholder="15 o 16 dígitos" class="form-control"  type="text" id="tarjetaInput" (keyup.enter)="aceptar()" 
                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,16);">
            </div>
        </div>

        <div class="row text-input">
            <div class="col-md-2">
                <select name="month" id="month">
                    <option value="00">Mes</option>
                    <option value="01">01</option>
                    <option value="02">02</option>
                    <option value="03">03</option>
                    <option value="04">04</option>
                    <option value="05">05</option>
                    <option value="06">06</option>
                    <option value="07">07</option>
                    <option value="08">08</option>
                    <option value="09">09</option>
                    <option value="10">10</option>
                    <option value="11">11</option>
                    <option value="12">12</option>
                  </select>
            </div>
            <div class="col-md-1">
                <span>/</span>
            </div>
            <div class="col-md-2">
                <select name="year" id="year">
                    <option value="00">Año</option>
                    <option *ngFor="let year of this.yearsCard; index as i" value="{{year}}">{{year}}</option>
                </select>
            </div>
        </div>

        <div class="row text-input">
            <div class="col-md-4 form-group">
                <label class="text-input">CVV: </label>
                <input autocomplete="off" placeholder="" class="form-control" id="cvv" pattern="\d{3}" type="password"
                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,3);" (keyup.enter)="aceptar()">
            </div>
        </div>
        <div>
        

        <small class="form-text " style="color:red" id="errorGeneral" *ngIf="errorGeneral">{{error}}</small> 
        
        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Continuar</button>
        </p>                       
    </div>
</div>